#include <math.h>
#include <stdio.h>
#include <time.h>
#include <sgtty.h>
/* this is the header file for the auxiliary function board */

/* defines for the afb control and status registers */

#define	INTEN	04
#define	HIGAIN	010
#define	CALEN	020
#define	SHUTEN	040
#define	CCDTED	0100
#define	FILPOS	03
#define	AMBLGT	04
#define	SHTRST	010
#define	INTON	020
#define	CALON	040
#define	INTGAIN	0100
#define	DMHTON	0200
#define	DATA_VALID	01
#define	COOLING	02
#define	HEATING	04
#define	LEDST	010
#define	TEDSTATE	020
#define	AFB_SR1	8
#define	AFB_CR	9
#define	AFB_SR2	10
#define	AFB_CCR	11
#define	RMCU		0200
#define 	CAL_CUR	033
#define	CAL_VOLT	035
#define 	FWDELAY	1500
#define	AFB_DEF	0100
#define	PWRFAULT	1

/* defines for the mcu and related functions */

#define	SEM3		-3
#define	MCU_MAPADDR	0177610
#define	T		10

#define	vrtad2	0140000

#define SAL 0170
#define SAH 0171
#define SC 0172
#define MA 0173
#define MB 0174
#define MC 0175
#define XCT 0176
#define DR_CLEAR (('z'<<8)|0)
#define DR_STAT (('z'<<8)|1)
#define	ALT1	110
#define	ALT2	130
#define	ALT3	220
#define	ALT4	260
